# _jnidir is missing on copr?
%global         _jnidir              %{_prefix}/lib/java

%global         desktopappdir        %{_datadir}/applications
%global         pixmapsdir           %{_datadir}/pixmaps
%global         appname              gitnuro
%global         jarfilename          %{appname}.jar
%global         desktopfilename      %{appname}.desktop
%global         iconfilename         %{appname}.svg

Name:           %{appname}
Version:        1.4.0
Release:        1%{?dist}
Summary:        A FOSS Git client based on (Jetbrains) Compose and JGit.

License:        GPL-3.0-only
URL:            https://gitnuro.com/

%ifarch x86_64
Source0:        https://github.com/JetpackDuba/Gitnuro/releases/download/v%{version}/Gitnuro-linux-x86_64-%{version}.jar
%endif

%ifarch aarch64
Source0:        https://github.com/JetpackDuba/Gitnuro/releases/download/v%{version}/Gitnuro-linux-aarch64-%{version}.jar
%endif

Source1:        %{desktopfilename}
Source2:        %{iconfilename}
ExclusiveArch:  aarch64 x86_64

BuildRequires:  desktop-file-utils
Requires:       java-17

%description
The main goal of Gitnuro is to provide a multiplatform open source Git client without any kind of constraint to how you can use it nor relying on web technologies.

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}
mkdir -p %{buildroot}/%{_jnidir}
mkdir -p %{buildroot}/%{desktopappdir}
mkdir -p %{buildroot}/%{pixmapsdir}
cp %{SOURCE0} %{buildroot}/%{_jnidir}/%{jarfilename}
cp %{SOURCE1} %{buildroot}/%{desktopappdir}/%{desktopfilename}
cp %{SOURCE2} %{buildroot}/%{pixmapsdir}/%{iconfilename}
desktop-file-validate %{buildroot}/%{desktopappdir}/%{desktopfilename}


%files
/%{_jnidir}/%{jarfilename}
/%{desktopappdir}/%{desktopfilename}
/%{pixmapsdir}/%{iconfilename}


%changelog
* Fri Nov 08 2024 Alexandre Beloin <alexandre.beloin@gmail.com>
- Added aarch64 support
* Thu Oct 31 2024 Alexandre Beloin <alexandre.beloin@gmail.com>
- Initial Package
